Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class SignedMessage

    java.lang.Object
      cryptix.message.Message
          cryptix.message.SignedMessage

Direct Known Subclasses:
  PGPSignedMessage

public abstract class SignedMessage
extends Message

Represents a message that is signed by one or more public keys.

Version:
  $Revision: 1.4 $
Author:
  Edwin Woudt

Constructor Summary
`SignedMessage(java.lang.String format)` Creates a SignedMessage of the specified format.

Method Summary
`abstract Message` | `getContents()` Get the message itself
`abstract KeyID[]` | `getKeyIDHints()` Returns hints for which key was used to sign this message
`abstract boolean` | `verify(KeyBundle pubkey)` Verify if this message was correctly signed by a particular keybundle.
`abstract boolean` | `verify(java.security.PublicKey pubkey)` Verify if this message was correctly signed by a particular public key.

Methods inherited from class cryptix.message.Message
`equals, getAttribute, getEncoded, getFormat, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedMessage

    public SignedMessage(java.lang.String format)

  Creates a SignedMessage of the specified format.

Method Detail

### getContents

    public abstract Message getContents()
                                 throws MessageException

  Get the message itself

  Throws:
    `MessageException` - on a variety of format specific problems.

### verify

    public abstract boolean verify(java.security.PublicKey pubkey)
                            throws MessageException

  Verify if this message was correctly signed by a particular public key.

  Returns:
    true if the message is correctly signed by the public key, false if the signature is invalid or if this message was not signed at all by this public key.
  Throws:
    `MessageException` - on a variety of format specific problems.

### verify

    public abstract boolean verify(KeyBundle pubkey)
                            throws MessageException

  Verify if this message was correctly signed by a particular keybundle.

  Returns:
    true if the message is correctly signed by the public key, false if the signature is invalid or if this message was not signed at all by this public key.
  Throws:
    `MessageException` - on a variety of format specific problems.

### getKeyIDHints

    public abstract KeyID[] getKeyIDHints()
                                   throws MessageException

  Returns hints for which key was used to sign this message

  Throws:
    `MessageException` - on a variety of format specific problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.